<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Map" %>
<jsp:useBean id="dbManager" scope="session" class="org.apache.geronimo.samples.dbtester.beans.DBManagerBean"/>
<SCRIPT TYPE="text/javascript">
    <!--
    function popup(mylink, windowname)
    {
        leftVal = (screen.width - 400) / 2;
        topVal = (screen.height - 200) / 2;
        if (! window.focus)return true;
        var href;
        if (typeof(mylink) == 'string')
            href = mylink;
        else
            href = mylink.href;
        window.open(href, windowname, 'width=400,height=200,left=' + leftVal + ',top=' + topVal);
        return false;
    }
    //-->
</SCRIPT>
<html>
<head>
    <title>Database Testing Application</title>
    <link rel="stylesheet" href="css/main.css" type="text/css">
</head>
<body>
<br>

<div class="Content" align="center">
    <table>
        <tr>
            <td class="Title"><strong>Database Testing Application</strong></td>
        </tr>
        <tr></tr>
        <tr>
            <td class="Body">
                <p>
                    This sample application lists all the database connection pools defined in Geronimo.
                    You can select any of these connection pools and test connectivity against the database as
                    well as listing existing schemas and tables.
                </p>

                <p>
                    The list of database pools deployed in your Geronimo application server are given below.
                </p>

                <p>
                    To test one of these pools, click the <strong>test</strong> link corresponding to that pool.
                    If tested successfully, then a list of the schemas and databases found in that particular pool will be displayed.
                </p>
            </td>
        <tr>
        <table>
            <tr>
                <td class="Body">
                    <table width="100%">
                        <%
                            Map poolMap = dbManager.getDeployedPools();
                            if (poolMap.keySet().size() > 0) {
                        %>
                        <tr>
                            <td class="DarkBackground">Pool Name</td>
                            <td class="DarkBackground">Action</td>
                        </tr>
                        <%
                            int counter = 1;
                            for (Iterator iterator = poolMap.keySet().iterator(); iterator.hasNext(); counter++) {
                        %>
                        <tr>
                            <%
                                String poolName = (String) iterator.next();
                                String rowColor = "LightBackground";
                                if (counter % 2 == 0) {
                                    rowColor = "MediumBackground";
                                }
                            %>
                            <td class="<%=rowColor%>"><%=poolName%>
                            </td>
                            <td class="<%=rowColor%>"><a href="listTables?poolname=<%=poolName%>">test</a></td>
                        </tr>
                        <%
                                }
                            }
                        %>
                    </table>
                </td>
            <tr>
        </table>
    </table>
</div>
<br>
<br>
</body>
</html>